package oop.ExceptionHandling;

public class MyException extends RuntimeException {
	// extends RuntimeException ist unchecked, also benötigt man kein throws 
	// extend Exception int checke, also benötigt man throws in der methode
	// z.b public static void num ( int number) throws MyException
	MyException(String message){
		super(message);
	}
	
	public static void num ( int number) {
		if (number <= 0) {
			MyException ae = new MyException("Die zahl soll großer als 0");
			throw ae;
		}
	}
	
	public static void main(String[] args) {
		try {
			num(-1);
			
		}catch(MyException ae) {
			System.out.println(ae);
			ae.printStackTrace();
		}
	}
}
